---
title: "Create a Return Fulfillment"

doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/return-order/create-a-return-fulfillment'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/return-order/create-a-return-fulfillment.md'
---
# Create a Return Fulfillment

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_return`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /return/package/create.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_return`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `reverse_fulfillment_order_id`

  string

  Return item order id

* `tracking_info`

  object

  Logistics tracking information

  * `tracking_url`

    string

    Logistics tracking URL

  * `tracking_company`

    string

    Logistics company name

  * `tracking_number`

    string

    Third party tracking number

* `notify_customer`

  boolean

  Inform consumer true if the false is not notified or not

* `reverse_delivery_line_items`

  array<object>

  Return invoice Product line information

  * `id`

    string

    Return order Product line number

  * `total_quantity`

    integer

    Product return quantity

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `return_package`

  object

  Return invoice information

  * `reverse_delivery_line_items`

    array<object>

    Return invoice Product line list

    * `id`

      string

      Return invoice Product line number

    * `quantity`

      integer

      Return invoice Product quantity

    * `reverse_fulfillment_order_line_item`

      object

      Return shipping list Product line information node associated with return invoice

      * `quantity`

        integer

        Return order Product line quantity

      * `id`

        string

        Return order Product line number

      * `line_item`

        object

        Invoice Product line information

  * `reverse_fulfillment_order_id`

    string

    Related return item order number

  * `tracking_information`

    object

    Logistics tracking information

    * `tracking_url`

      string

      Logistics tracking URL

    * `tracking_company`

      string

      Logistics company name

    * `tracking_number`

      string

      Third party tracking number

  * `id`

    string

    Return invoice unique business id

  * `return_id`

    string

    Return invoice number


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "externalDocs": {
    "description": "Permission point used by the interface is `write_return` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "7vh491CE",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "reverse_fulfillment_order_id": {
              "name": "reverse_fulfillment_order_id",
              "description": "Return item order id",
              "type": "string",
              "example": "RFP5864594983873946674"
            },
            "tracking_info": {
              "name": "tracking_info",
              "description": "Logistics tracking information",
              "type": "object",
              "properties": {
                "tracking_url": {
                  "name": "tracking_url",
                  "description": "Logistics tracking URL",
                  "type": "string",
                  "example": "https://www.sf-express.com/chn/sc"
                },
                "tracking_company": {
                  "name": "tracking_company",
                  "description": "Logistics company name",
                  "type": "string",
                  "example": "Sf international"
                },
                "tracking_number": {
                  "name": "tracking_number",
                  "description": "Third party tracking number",
                  "type": "string",
                  "example": "SF21232311"
                }
              },
              "example": {
                "tracking_number": "SF21232311",
                "tracking_url": "https://www.sf-express.com/chn/sc",
                "tracking_company": "Sf international"
              }
            },
            "notify_customer": {
              "name": "notify_customer",
              "description": "Inform consumer true if the false is not notified or not",
              "type": "boolean",
              "example": true
            },
            "reverse_delivery_line_items": {
              "name": "reverse_delivery_line_items",
              "description": "Return invoice Product line information",
              "type": "array",
              "items": {
                "name": "reverse_delivery_line_items",
                "description": "Return invoice Product line information",
                "type": "object",
                "properties": {
                  "id": {
                    "name": "id",
                    "description": "Return order Product line number",
                    "type": "string",
                    "example": "RFIP5879597673402123274"
                  },
                  "total_quantity": {
                    "name": "total_quantity",
                    "description": "Product return quantity",
                    "type": "integer",
                    "example": 1
                  }
                },
                "example": {
                  "id": "RFIP5879597673402123274",
                  "total_quantity": 1
                }
              },
              "example": [
                {
                  "id": "RFIP5879597673402123274",
                  "total_quantity": 1
                }
              ]
            }
          },
          "example": {
            "tracking_info": {
              "tracking_number": "SF21232311",
              "tracking_url": "https://www.sf-express.com/chn/sc",
              "tracking_company": "Sf international"
            },
            "notify_customer": true,
            "reverse_delivery_line_items": [
              {
                "total_quantity": 1,
                "id": "RFIP5879597673402123274"
              }
            ],
            "reverse_fulfillment_order_id": "RFP5864594983873946674"
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "return_package": {
                "name": "return_package",
                "description": "Return invoice information",
                "type": "object",
                "properties": {
                  "reverse_delivery_line_items": {
                    "name": "reverse_delivery_line_items",
                    "description": "Return invoice Product line list",
                    "type": "array",
                    "items": {
                      "name": "reverse_delivery_line_items",
                      "description": "Return invoice Product line list",
                      "type": "object",
                      "properties": {
                        "id": {
                          "name": "id",
                          "description": "Return invoice Product line number",
                          "type": "string",
                          "example": "RPIP5864612075310421029"
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "Return invoice Product quantity",
                          "type": "integer",
                          "example": 1
                        },
                        "reverse_fulfillment_order_line_item": {
                          "name": "reverse_fulfillment_order_line_item",
                          "description": "Return shipping list Product line information node associated with return invoice",
                          "type": "object",
                          "properties": {
                            "quantity": {
                              "name": "quantity",
                              "description": "Return order Product line quantity",
                              "type": "integer",
                              "example": 1
                            },
                            "id": {
                              "name": "id",
                              "description": "Return order Product line number",
                              "type": "string",
                              "example": "RFIP5864536664442414108"
                            },
                            "line_item": {
                              "name": "line_item",
                              "description": "Invoice Product line information",
                              "type": "object",
                              "properties": {
                                "grams": {
                                  "name": "grams",
                                  "description": "Product weight ( grams )",
                                  "type": "double",
                                  "example": 1
                                },
                                "requires_shipping": {
                                  "name": "requires_shipping",
                                  "description": "Product need to be shipped : false、true",
                                  "type": "boolean",
                                  "example": true
                                },
                                "price": {
                                  "name": "price",
                                  "description": "Product selling price , Product detail page sale price",
                                  "type": "string",
                                  "example": "100.0"
                                },
                                "quantity": {
                                  "name": "quantity",
                                  "description": "Product quantity",
                                  "type": "integer",
                                  "example": 1
                                },
                                "fulfillable_quantity": {
                                  "name": "fulfillable_quantity",
                                  "description": "Remaining Product number of required",
                                  "type": "integer",
                                  "example": 1
                                },
                                "taxable": {
                                  "name": "taxable",
                                  "description": "Product incl . : false、true",
                                  "type": "boolean",
                                  "example": true
                                },
                                "name": {
                                  "name": "name",
                                  "description": "SKU title, same as title",
                                  "type": "string",
                                  "example": "It's good Product"
                                },
                                "title": {
                                  "name": "title",
                                  "description": "Gpu Product title",
                                  "type": "string",
                                  "example": "It's good Product"
                                },
                                "variant_title": {
                                  "name": "variant_title",
                                  "description": "Product attribute value , multiple divided by \" / \"",
                                  "type": "string",
                                  "example": "L/Red"
                                },
                                "id": {
                                  "name": "id",
                                  "description": "Product row id",
                                  "type": "string",
                                  "example": "405"
                                },
                                "sku": {
                                  "name": "sku",
                                  "description": "Merchant custom number",
                                  "type": "string",
                                  "example": "SKU1234"
                                },
                                "tax_lines": {
                                  "name": "tax_lines",
                                  "description": "Product tax details",
                                  "type": "array",
                                  "items": {
                                    "name": "tax_lines",
                                    "description": "Product tax details",
                                    "type": "object",
                                    "properties": {
                                      "rate": {
                                        "name": "rate",
                                        "description": "Tax rate",
                                        "type": "double",
                                        "example": 10
                                      },
                                      "title": {
                                        "name": "title",
                                        "description": "Tax name",
                                        "type": "string",
                                        "example": "CNMP"
                                      },
                                      "price": {
                                        "name": "price",
                                        "description": "Tax amount",
                                        "type": "string",
                                        "example": "18.00"
                                      },
                                      "price_set": {
                                        "name": "price_set",
                                        "description": "Tax amount measured in store currency and transaction currency",
                                        "type": "object",
                                        "properties": {
                                          "presentment_money": {
                                            "name": "presentment_money",
                                            "description": "Transaction currency",
                                            "type": "object",
                                            "properties": {
                                              "amount": {
                                                "name": "amount",
                                                "description": "Tax amount",
                                                "type": "string",
                                                "example": "18.00"
                                              },
                                              "currency_code": {
                                                "name": "currency_code",
                                                "description": "Currency",
                                                "type": "string",
                                                "example": "USD"
                                              }
                                            },
                                            "example": {
                                              "amount": "18.00",
                                              "currency_code": "USD"
                                            }
                                          },
                                          "shop_money": {
                                            "name": "shop_money",
                                            "description": "Store currency",
                                            "type": "object",
                                            "properties": {
                                              "amount": {
                                                "name": "amount",
                                                "description": "Tax amount",
                                                "type": "string",
                                                "example": "18.00"
                                              },
                                              "currency_code": {
                                                "name": "currency_code",
                                                "description": "Currency",
                                                "type": "string",
                                                "example": "USD"
                                              }
                                            },
                                            "example": {
                                              "currency_code": "USD",
                                              "amount": "18.00"
                                            }
                                          }
                                        },
                                        "example": {
                                          "shop_money": {
                                            "amount": "18.00",
                                            "currency_code": "USD"
                                          },
                                          "presentment_money": {
                                            "currency_code": "USD",
                                            "amount": "18.00"
                                          }
                                        }
                                      }
                                    },
                                    "example": {
                                      "price_set": {
                                        "presentment_money": {
                                          "amount": "18.00",
                                          "currency_code": "USD"
                                        },
                                        "shop_money": {
                                          "amount": "18.00",
                                          "currency_code": "USD"
                                        }
                                      },
                                      "rate": 10,
                                      "title": "CNMP",
                                      "price": "18.00"
                                    }
                                  },
                                  "example": [
                                    {
                                      "title": "CNMP",
                                      "price": "18.00",
                                      "price_set": {
                                        "shop_money": {
                                          "amount": "18.00",
                                          "currency_code": "USD"
                                        },
                                        "presentment_money": {
                                          "amount": "18.00",
                                          "currency_code": "USD"
                                        }
                                      },
                                      "rate": 10
                                    }
                                  ]
                                },
                                "product_id": {
                                  "name": "product_id",
                                  "description": "Spu serial number , Product unique identification number",
                                  "type": "string",
                                  "example": "16056898121352174690861487"
                                },
                                "variant_id": {
                                  "name": "variant_id",
                                  "description": "Product SKU serial number",
                                  "type": "string",
                                  "example": "18056898121355865678441487"
                                },
                                "tags": {
                                  "name": "tags",
                                  "description": "Product tag , separated by ',' when there are multiple",
                                  "type": "string",
                                  "example": "sales"
                                },
                                "fulfillment_status": {
                                  "name": "fulfillment_status",
                                  "description": "Product delivery status : fulfilled- shipped ; partial- partially shipped ; null- not shipped",
                                  "type": "string",
                                  "example": "fulfilled"
                                },
                                "image_url": {
                                  "name": "image_url",
                                  "description": "Product link url",
                                  "type": "string",
                                  "example": "https://image.shopline.com/abc.jpg"
                                },
                                "attribute": {
                                  "name": "attribute",
                                  "description": "Product attribute information : name-attribute value , multiple attribute values are measured comma",
                                  "type": "string",
                                  "example": "Color-red , size-x"
                                },
                                "fulfillment_service": {
                                  "name": "fulfillment_service",
                                  "description": "Logistics company name",
                                  "type": "string",
                                  "example": "Sf international"
                                },
                                "gift_card": {
                                  "name": "gift_card",
                                  "description": "Wei for gift cards or not : false、true",
                                  "type": "boolean",
                                  "example": true
                                },
                                "properties": {
                                  "name": "properties",
                                  "description": "Product customization information",
                                  "type": "array",
                                  "items": {
                                    "name": "properties",
                                    "description": "Product customization information",
                                    "type": "object",
                                    "properties": {
                                      "type": {
                                        "name": "type",
                                        "description": "Custom information type : text、picture、link 1 ) when type is text , take name and value ;2 ) when type is picture , the display type is name , and the details of the thumb of urls to obtain Product 3 ) when type is link , support click urls to use the picture .",
                                        "type": "string",
                                        "example": "text"
                                      },
                                      "urls": {
                                        "name": "urls",
                                        "description": "Address link information",
                                        "type": "array",
                                        "items": {
                                          "name": "urls",
                                          "description": "Address link information",
                                          "type": "string",
                                          "example": "https://image.shopline.com"
                                        },
                                        "example": [
                                          "https://image.shopline.com"
                                        ]
                                      },
                                      "value": {
                                        "name": "value",
                                        "description": "Customized information content",
                                        "type": "string",
                                        "example": "Freedom"
                                      },
                                      "name": {
                                        "name": "name",
                                        "description": "Custom information object",
                                        "type": "string",
                                        "example": "Text"
                                      }
                                    },
                                    "example": {
                                      "type": "text",
                                      "urls": [
                                        "https://image.shopline.com"
                                      ],
                                      "value": "Freedom",
                                      "name": "Text"
                                    }
                                  },
                                  "example": [
                                    {
                                      "name": "Text",
                                      "type": "text",
                                      "urls": [
                                        "https://image.shopline.com"
                                      ],
                                      "value": "Freedom"
                                    }
                                  ]
                                },
                                "location_id": {
                                  "name": "location_id",
                                  "description": "1 ) pick up location unique no .2 ) non-local Product location information",
                                  "type": "string",
                                  "example": "5327026538935748524"
                                },
                                "vendor": {
                                  "name": "vendor",
                                  "description": "Product supplier",
                                  "type": "string",
                                  "example": ""
                                }
                              },
                              "example": {
                                "fulfillable_quantity": 1,
                                "sku": "SKU1234",
                                "quantity": 1,
                                "fulfillment_service": "Sf international",
                                "tax_lines": [
                                  {
                                    "title": "CNMP",
                                    "price": "18.00",
                                    "price_set": {
                                      "presentment_money": {
                                        "amount": "18.00",
                                        "currency_code": "USD"
                                      },
                                      "shop_money": {
                                        "currency_code": "USD",
                                        "amount": "18.00"
                                      }
                                    },
                                    "rate": 10
                                  }
                                ],
                                "gift_card": true,
                                "tags": "sales",
                                "location_id": "5327026538935748524",
                                "name": "It's good Product",
                                "attribute": "Color-red , size-x",
                                "fulfillment_status": "fulfilled",
                                "grams": 1,
                                "product_id": "16056898121352174690861487",
                                "title": "It's good Product",
                                "image_url": "https://image.shopline.com/abc.jpg",
                                "variant_id": "18056898121355865678441487",
                                "variant_title": "L/Red",
                                "vendor": "",
                                "price": "100.0",
                                "requires_shipping": true,
                                "id": "405",
                                "properties": [
                                  {
                                    "type": "text",
                                    "urls": [
                                      "https://image.shopline.com"
                                    ],
                                    "value": "Freedom",
                                    "name": "Text"
                                  }
                                ],
                                "taxable": true
                              }
                            }
                          },
                          "example": {
                            "line_item": {
                              "vendor": "",
                              "image_url": "https://image.shopline.com/abc.jpg",
                              "properties": [
                                {
                                  "urls": [
                                    "https://image.shopline.com"
                                  ],
                                  "value": "Freedom",
                                  "name": "Text",
                                  "type": "text"
                                }
                              ],
                              "sku": "SKU1234",
                              "title": "It's good Product",
                              "tags": "sales",
                              "id": "405",
                              "attribute": "Color-red , size-x",
                              "taxable": true,
                              "requires_shipping": true,
                              "grams": 1,
                              "fulfillable_quantity": 1,
                              "gift_card": true,
                              "fulfillment_status": "fulfilled",
                              "variant_title": "L/Red",
                              "quantity": 1,
                              "tax_lines": [
                                {
                                  "price": "18.00",
                                  "price_set": {
                                    "presentment_money": {
                                      "amount": "18.00",
                                      "currency_code": "USD"
                                    },
                                    "shop_money": {
                                      "amount": "18.00",
                                      "currency_code": "USD"
                                    }
                                  },
                                  "rate": 10,
                                  "title": "CNMP"
                                }
                              ],
                              "price": "100.0",
                              "product_id": "16056898121352174690861487",
                              "fulfillment_service": "Sf international",
                              "variant_id": "18056898121355865678441487",
                              "name": "It's good Product",
                              "location_id": "5327026538935748524"
                            },
                            "quantity": 1,
                            "id": "RFIP5864536664442414108"
                          }
                        }
                      },
                      "example": {
                        "id": "RPIP5864612075310421029",
                        "quantity": 1,
                        "reverse_fulfillment_order_line_item": {
                          "quantity": 1,
                          "id": "RFIP5864536664442414108",
                          "line_item": {
                            "vendor": "",
                            "price": "100.0",
                            "image_url": "https://image.shopline.com/abc.jpg",
                            "product_id": "16056898121352174690861487",
                            "fulfillable_quantity": 1,
                            "grams": 1,
                            "quantity": 1,
                            "location_id": "5327026538935748524",
                            "properties": [
                              {
                                "name": "Text",
                                "type": "text",
                                "urls": [
                                  "https://image.shopline.com"
                                ],
                                "value": "Freedom"
                              }
                            ],
                            "id": "405",
                            "requires_shipping": true,
                            "variant_id": "18056898121355865678441487",
                            "fulfillment_service": "Sf international",
                            "name": "It's good Product",
                            "sku": "SKU1234",
                            "tags": "sales",
                            "taxable": true,
                            "title": "It's good Product",
                            "tax_lines": [
                              {
                                "rate": 10,
                                "title": "CNMP",
                                "price": "18.00",
                                "price_set": {
                                  "presentment_money": {
                                    "currency_code": "USD",
                                    "amount": "18.00"
                                  },
                                  "shop_money": {
                                    "currency_code": "USD",
                                    "amount": "18.00"
                                  }
                                }
                              }
                            ],
                            "gift_card": true,
                            "fulfillment_status": "fulfilled",
                            "attribute": "Color-red , size-x",
                            "variant_title": "L/Red"
                          }
                        }
                      }
                    },
                    "example": [
                      {
                        "quantity": 1,
                        "reverse_fulfillment_order_line_item": {
                          "id": "RFIP5864536664442414108",
                          "line_item": {
                            "fulfillment_status": "fulfilled",
                            "vendor": "",
                            "sku": "SKU1234",
                            "product_id": "16056898121352174690861487",
                            "gift_card": true,
                            "tags": "sales",
                            "location_id": "5327026538935748524",
                            "fulfillment_service": "Sf international",
                            "grams": 1,
                            "requires_shipping": true,
                            "tax_lines": [
                              {
                                "price": "18.00",
                                "price_set": {
                                  "shop_money": {
                                    "currency_code": "USD",
                                    "amount": "18.00"
                                  },
                                  "presentment_money": {
                                    "currency_code": "USD",
                                    "amount": "18.00"
                                  }
                                },
                                "rate": 10,
                                "title": "CNMP"
                              }
                            ],
                            "title": "It's good Product",
                            "attribute": "Color-red , size-x",
                            "properties": [
                              {
                                "type": "text",
                                "urls": [
                                  "https://image.shopline.com"
                                ],
                                "value": "Freedom",
                                "name": "Text"
                              }
                            ],
                            "variant_title": "L/Red",
                            "quantity": 1,
                            "taxable": true,
                            "price": "100.0",
                            "fulfillable_quantity": 1,
                            "image_url": "https://image.shopline.com/abc.jpg",
                            "id": "405",
                            "variant_id": "18056898121355865678441487",
                            "name": "It's good Product"
                          },
                          "quantity": 1
                        },
                        "id": "RPIP5864612075310421029"
                      }
                    ]
                  },
                  "reverse_fulfillment_order_id": {
                    "name": "reverse_fulfillment_order_id",
                    "description": "Related return item order number",
                    "type": "string",
                    "example": "RFP5864594983873946674"
                  },
                  "tracking_information": {
                    "name": "tracking_information",
                    "description": "Logistics tracking information",
                    "type": "object",
                    "properties": {
                      "tracking_url": {
                        "name": "tracking_url",
                        "description": "Logistics tracking URL",
                        "type": "string",
                        "example": "https://www.sf-express.com/chn/sc"
                      },
                      "tracking_company": {
                        "name": "tracking_company",
                        "description": "Logistics company name",
                        "type": "string",
                        "example": "Sf international"
                      },
                      "tracking_number": {
                        "name": "tracking_number",
                        "description": "Third party tracking number",
                        "type": "string",
                        "example": "SF222111011"
                      }
                    },
                    "example": {
                      "tracking_company": "Sf international",
                      "tracking_number": "SF222111011",
                      "tracking_url": "https://www.sf-express.com/chn/sc"
                    }
                  },
                  "id": {
                    "name": "id",
                    "description": "Return invoice unique business id",
                    "type": "string",
                    "example": "RPP5860827056427246608"
                  },
                  "return_id": {
                    "name": "return_id",
                    "description": "Return invoice number",
                    "type": "string",
                    "example": "2605864536661019862039"
                  }
                },
                "example": {
                  "id": "RPP5860827056427246608",
                  "return_id": "2605864536661019862039",
                  "reverse_delivery_line_items": [
                    {
                      "id": "RPIP5864612075310421029",
                      "quantity": 1,
                      "reverse_fulfillment_order_line_item": {
                        "line_item": {
                          "tags": "sales",
                          "location_id": "5327026538935748524",
                          "fulfillment_service": "Sf international",
                          "variant_id": "18056898121355865678441487",
                          "fulfillment_status": "fulfilled",
                          "vendor": "",
                          "gift_card": true,
                          "product_id": "16056898121352174690861487",
                          "sku": "SKU1234",
                          "grams": 1,
                          "tax_lines": [
                            {
                              "price": "18.00",
                              "price_set": {
                                "shop_money": {
                                  "amount": "18.00",
                                  "currency_code": "USD"
                                },
                                "presentment_money": {
                                  "currency_code": "USD",
                                  "amount": "18.00"
                                }
                              },
                              "rate": 10,
                              "title": "CNMP"
                            }
                          ],
                          "id": "405",
                          "variant_title": "L/Red",
                          "price": "100.0",
                          "image_url": "https://image.shopline.com/abc.jpg",
                          "fulfillable_quantity": 1,
                          "taxable": true,
                          "quantity": 1,
                          "attribute": "Color-red , size-x",
                          "requires_shipping": true,
                          "title": "It's good Product",
                          "properties": [
                            {
                              "urls": [
                                "https://image.shopline.com"
                              ],
                              "value": "Freedom",
                              "name": "Text",
                              "type": "text"
                            }
                          ],
                          "name": "It's good Product"
                        },
                        "quantity": 1,
                        "id": "RFIP5864536664442414108"
                      }
                    }
                  ],
                  "reverse_fulfillment_order_id": "RFP5864594983873946674",
                  "tracking_information": {
                    "tracking_company": "Sf international",
                    "tracking_number": "SF222111011",
                    "tracking_url": "https://www.sf-express.com/chn/sc"
                  }
                }
              }
            },
            "example": {
              "return_package": {
                "id": "RPP5860827056427246608",
                "return_id": "2605864536661019862039",
                "reverse_delivery_line_items": [
                  {
                    "quantity": 1,
                    "reverse_fulfillment_order_line_item": {
                      "id": "RFIP5864536664442414108",
                      "line_item": {
                        "gift_card": true,
                        "variant_title": "L/Red",
                        "product_id": "16056898121352174690861487",
                        "variant_id": "18056898121355865678441487",
                        "price": "100.0",
                        "sku": "SKU1234",
                        "image_url": "https://image.shopline.com/abc.jpg",
                        "attribute": "Color-red , size-x",
                        "quantity": 1,
                        "tax_lines": [
                          {
                            "price_set": {
                              "presentment_money": {
                                "amount": "18.00",
                                "currency_code": "USD"
                              },
                              "shop_money": {
                                "amount": "18.00",
                                "currency_code": "USD"
                              }
                            },
                            "rate": 10,
                            "title": "CNMP",
                            "price": "18.00"
                          }
                        ],
                        "title": "It's good Product",
                        "vendor": "",
                        "fulfillable_quantity": 1,
                        "properties": [
                          {
                            "name": "Text",
                            "type": "text",
                            "urls": [
                              "https://image.shopline.com"
                            ],
                            "value": "Freedom"
                          }
                        ],
                        "id": "405",
                        "tags": "sales",
                        "grams": 1,
                        "requires_shipping": true,
                        "name": "It's good Product",
                        "taxable": true,
                        "fulfillment_status": "fulfilled",
                        "location_id": "5327026538935748524",
                        "fulfillment_service": "Sf international"
                      },
                      "quantity": 1
                    },
                    "id": "RPIP5864612075310421029"
                  }
                ],
                "reverse_fulfillment_order_id": "RFP5864594983873946674",
                "tracking_information": {
                  "tracking_company": "Sf international",
                  "tracking_number": "SF222111011",
                  "tracking_url": "https://www.sf-express.com/chn/sc"
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/return/package/create.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Create a Return Fulfillment",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_return"
  ]
}
```